%define momorel 20

Summary: A tool for automatically mounting and unmounting filesystems.
Name: autofs
Version: 3.1.7
Release: %{momorel}m
License: GPL
Group: System Environment/Daemons
Source: ftp://ftp.kernel.org/pub/linux/daemons/autofs/v3/autofs-%{version}.tar.gz
Source1: autofs-ldap-auto-master.c
NoSource: 0
Patch0: autofs-3.1.7-doc.patch
Patch1: autofs-3.1.4-loop.patch
Patch2: autofs-3.1.4-modules.patch
Patch3: autofs-3.1.7-init.patch
Patch4: autofs-3.1.4-linux-2.3.patch
Patch5: autofs-4.0.0-open_max.patch
#Patch6: autofs-4.0.0-ldap.patch
Patch6: autofs-3.1.5-openldap2.patch
Patch7: autofs-3.1.5-hesiod-bind.patch
Patch8: autofs-3.1.7-multiargs.patch
Patch9: autofs-3.1.7-fpic.patch
Patch10: autofs-3.1.7-schema.patch
Patch11: autofs-3.1.7-usr.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: bind-devel, openldap-devel >= 2.1.22-2m, openssl-devel >= 0.9.6, hesiod-devel
Prereq: chkconfig
Requires: bash, mktemp, sed, textutils, sh-utils, grep, procps
Obsoletes: autofs-ldap
URL: http://www.goop.org/~jeremy/autofs/

%description
Autofs controls the operation of the automount daemons. The automount
daemons automatically mount filesystems when you use them and
unmount them after a period of inactivity. Filesystems can include
network filesystems, CD-ROMs, floppies and others.

Install this package if you want a program for automatically mounting
and unmounting filesystems. If your Red Hat Linux machine is on a
network, you should install autofs.

%prep
%setup -q
%patch0 -p1 -b .doc
%patch1 -p1 -b .loop
%patch2 -p1 -b .modules
%patch3 -p1 -b .init
%patch4 -p1 -b .linux-2.3
%patch5 -p1 -b .open_max
%patch6 -p1 -b .openldap2
#Aaargh! BIND 9 doesn't include a hesiod implementation!  Aaargh!
#%patch7 -p1 -b .hesiod-bind
%patch8 -p1 -b .multiargs
%patch9 -p1 -b .fpic
%patch10 -p1 -b .schema
%patch11 -p1 -b .usr
#Aaargh! The kernel went and changed on us!
cp ./include/linux/auto_fs.h ./include/linux/auto_fs.h.old
cp /usr/include/linux/auto_fs.h ./include/linux/
chmod u+w configure
autoconf
env LANG=C perl -pi -e 's|^CFLAGS    =.*|CFLAGS    = \$\(RPM_OPT_FLAGS\)|g' Makefile.rules

%build
%configure --with-hesiod --with-openldap=
make -j%{_numjobs} STRIP=: || make STRIP=:
%{__cc} -o autofs-ldap-auto-master %{optflags} %{SOURCE1} -lldap -llber -lresolv

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_initscriptdir}
mkdir -p %{buildroot}%{_libdir}/autofs
mkdir -p %{buildroot}%{_mandir}/{man5,man8}
mkdir -p %{buildroot}%{_sbindir}

%{makeinstall} autofslibdir=%{buildroot}%{_libdir}/autofs
install -m 755 samples/rc.autofs %{buildroot}%{_initscriptdir}/autofs
install -m 644 samples/auto.master %{buildroot}/etc
install -m 644 samples/auto.misc %{buildroot}/etc
#install -m 755 samples/auto.net %{buildroot}/etc/auto.net
install -m 755 -d %{buildroot}/misc
#install -m 755 -d %{buildroot}/net
install -m 755 autofs-ldap-auto-master %{buildroot}%{_libdir}/autofs/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/chkconfig --add autofs

%postun
if [ $1 -ge 1 ] ; then
	/sbin/service autofs condrestart > /dev/null 2>&1 || :
fi

%preun
if [ "$1" = 0 ] ; then
	/sbin/service autofs stop > /dev/null 2>&1
	chkconfig --del autofs
fi
exit 0

%files
%defattr(-,root,root)
%doc COPYING COPYRIGHT NEWS README* TODO
%config %{_initscriptdir}/autofs
%config(noreplace) /etc/auto.master
%config(noreplace) /etc/auto.misc
%{_sbindir}/automount
%dir %{_libdir}/autofs
%{_libdir}/autofs/autofs-ldap-auto-master
%{_libdir}/autofs/lookup_file.so
%{_libdir}/autofs/lookup_hesiod.so
%{_libdir}/autofs/lookup_ldap.so
%{_libdir}/autofs/lookup_multi.so
%{_libdir}/autofs/lookup_nisplus.so
%{_libdir}/autofs/lookup_program.so
%{_libdir}/autofs/lookup_userhome.so
%{_libdir}/autofs/lookup_yp.so
%{_libdir}/autofs/mount*
%{_libdir}/autofs/parse*
%{_mandir}/*/*
%dir /misc
# %{_libdir}/autofs/lookup_hesiod.so

#%config /etc/auto.net
#%dir /net

%changelog
* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.1.7-20m)
- revive lookup_hesiod.so

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.1.7-19m)
- remove Epoch

* Sat Jul  3 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (3.1.7-18m)
- stop daemon

* Mon Nov 10 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (3.1.7-17m)
- rebuild against openldap

* Thu Jun 19 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.7-16m)
  rebuild against cyrus-sasl2
  
* Thu May 15 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.7-15m)
  to noreplace auto.misc

* Thu May  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.7-14m)
- sync with rawhide (autofs-3.1.7-37)
- remove hesiod upport

* Wed Mar  5 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.1.7-13m)
  rebuild against openssl 0.9.7a

* Wed Mar  5 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1.7-12m)
- add URL

* Mon Feb 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.7-11m)
- rebuild against for gdbm

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (3.1.7-10k)
- /sbin/chkconfig -> chkconfig in PreReq.
- /bin/bash -> bash and /bin/ps -> procps in Requires.

* Tue Jan 15 2002 TABUCHI Takaaki <tab@kondara.org>
- (3.1.7-8k)
- s/chkconfig: 345 18 82/chkconfig: 345 28 82/ (jittebug #1013)

* Sat Apr 14 2001 Toru Hoshina <toru@df-usa.com>
- (3.1.7-6k)
- rebuild against openssl 0.9.6.

* Tue Nov 28 2000 Toru Hoshina <toru@df-usa.com>
- use _initscriptdir macro to keep backword compatibility.

* Thu Nov  9 2000 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- update to 3.1.7, based redhat 3.1.5 package

* Fri Sep  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- add -lresolv to build properly with OpenLDAP 2

* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- convert YP map names that start with "auto_" to "auto." (#16753)

* Wed Aug 16 2000 Nalin Dahyabhai <nalin@redhat.com>
- add an extra pause after the initial shutdown attempt

* Fri Aug 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch init script to not shut down --submount mounts on reload
- remove temporary files again during reload

* Thu Aug 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- revert to 3.1.5
- add 3.1.6pre1 patch to handle LDAP maps
- add Epoch: to upgrade from Raw Hide or Pinstripe
- update to 3.1.6pre2

* Fri Aug  4 2000 Nalin Dahyabhai <nalin@redhat.com>
- work around kernel insmod concurrency problem (#14972) by loading the module
  at start-time

* Wed Aug  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix duplicate detection for false matches (e.g. "/user" == "/users") (#15183)

* Mon Aug  1 2000 Nalin Dahyabhai <nalin@redhat.com>
- merge ldap subpackage back into the main one and Obsolete: it
- clean up build warnings
- fix errors automounting ext2 filesystems due to uninitialized option string

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- move the init script to the right place

* Fri Jul  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- add /net directory to the package

* Thu Jul  6 2000 Nalin Dahyabhai <nalin@redhat.com>
- do manual unmounting in shutdown script
- change initscripts prereq to /etc/init.d
- move autoconf invocation to setup section

* Wed Jul  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- move condrestart to postun
- make condrestart check the right file to determine if already running

* Wed Jul  5 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- ignore errors in post script

* Tue Jul  4 2000 Matt Wilson <msw@redhat.com>
- use full path to chkconfig
- full *correct* path to chkconfig

* Tue Jun 27 2000 Nalin Dahyabhai <nalin@redhat.com>
- smoother starting/stopping on upgrades/removal

* Thu Jun 15 2000 Nalin Dahyabhai <nalin@redhat.com>
- be more aggressive when shutting down autofs
- add condrestart support

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- move man pages to %{_mandir}

* Wed May 31 2000 Nalin Dahyabhai <nalin@redhat.com>
- tweak argument parsing (bug #11801)

* Mon May 22 2000 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new build environment

* Mon May  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix duplicate detection logic (duh!)

* Tue May  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- add config: and processname: tags to init script

* Sun Apr 30 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix shutdown logic (test -z $pid fails with multiple autofs daemons)

* Wed Apr 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- split off autofs4 for testing & development
- update patches for autofs4 for feeding back to autofs list
- make auto.master a noreplace file

* Mon Apr 17 2000 Nalin Dahyabhai <nalin@redhat.com>
- split lookup_ldap into a subpackage (bug #10874)

* Tue Apr 11 2000 Nalin Dahyabhai <nalin@redhat.com>
- add LDAP map support, requires openldap
- tweak init script patch to use fields 2+ for the map name instead of just 2

* Wed Apr 05 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix bug #10402 by fixing the init script, hopefully for everybody
- merge patches for the init script into a single patch to send to hpa
- patch to build on 2.2 and late-series 2.3 kernels

* Tue Feb 29 2000 Nalin Dahyabhai <nalin@redhat.com>
- enable hesiod support over libbind

* Mon Feb 28 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix init script bug when startup failed
- fix option passing in init script

* Sun Feb 13 2000 Nalin Dahyabhai <nalin@redhat.com>
- make autofs start after ypbind by moving start priority 18, stop to 82
- make sure that calls to "ps aux" include "www" to avoid snippage

* Wed Feb  2 2000 Nalin Dahyabhai <nalin@redhat.com>
- make sure all the docs get packaged
- make init script do status messages like others
- add "nosuid,nodev" to options for /misc/cd
- switch to using INSTALLROOT during make install

* Fri Jan 21 2000 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.1.4

* Mon Sep 20 1999 Cristian Gafton <gafton@redhat.com>
- use ps axw instead of ps ax in the init script

* Fri Sep 10 1999 Bill Nottingham <notting@redhat.com>
- chkconfig --del in %preun, not %postun

* Tue Sep 07 1999 Cristian Gafton <gafton@redhat.com>
- add patch from HJLu to handle NIS auto.master better

* Wed Aug 25 1999 Cristian Gafton <gafton@redhat.com>
- fix bug #4708

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- fix perms on /usr/lib/autofs/* 
- add support for specifying maptype in auto.master

* Fri Aug 13 1999 Cristian Gafton <gafton@redhat.com>
- add patch from rth to avoid an infinite loop

* Wed Apr 28 1999 Cristian Gafton <gafton@redhat.com>
- use "autofs" instead of "automount" for /var/lock/subsys lock file

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- enahanced initscript to try to load maps over NIS
- changed the mount point back to misc (there is a reason we leave /mnt
  alone)
- patched back autofs.misc to the version shipped on 5.2 to avoid replacing
  yet one more config file for those who upgrade

* Wed Mar 24 1999 Preston Brown <pbrown@redhat.com>
- upgrade to 3.1.3, fixing smbfs stuff and other things
- changed mountpoint from /misc to /mnt

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Mon Feb  8 1999 Bill Nottingham <notting@redhat.com>
- build for kernel-2.2/glibc2.1

* Tue Oct  6 1998 Bill Nottingham <notting@redhat.com>
- fix bash2 breakage in init script

* Sun Aug 23 1998 Jeff Johnson <jbj@redhat.com>
- typo in man page.

* Mon Jul 20 1998 Jeff Johnson <jbj@redhat.com>
- added sparc to ExclusiveArch.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- updated to 3.1.1

* Wed Apr 22 1998 Michael K. Johnson <johnsonm@redhat.com>
- enhanced initscripts

* Fri Dec 05 1997 Michael K. Johnson <johnsonm@redhat.com>
- Link with -lnsl for glibc compliance.

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- exclusivearch for i386 for now, since our kernel packages on
  other platforms don't include autofs yet.
- improvements to initscripts.

* Thu Oct 16 1997 Michael K. Johnson <johnsonm@redhat.com>
- Built package from 0.3.14 for 5.0
